/******************************************************************************** 
    Desarrollado por:   Avanxo México
    Autor:              Héctor Figueroa
    Proyecto:           TOYOTA TAM
    Descripción:        Clase de prueba para crear la cobertura de la clase TAM_AdminVisibInventarioToyota.

    Infomación de cambios (versiones)
    ===============================================================================
    No.    Fecha                Autor                       Descripcion
    1.0    06-Mayo-2021         Héctor Figueroa             Creación
******************************************************************************* */

/**
 * This class contains unit tests for validating the behavior of Apex classes
 * and triggers.
 *
 * Unit tests are class methods that verify whether a particular piece
 * of code is working properly. Unit test methods take no arguments,
 * commit no data to the database, and are flagged with the testMethod
 * keyword in the method definition.
 *
 * All test methods in an organization are executed whenever Apex code is deployed
 * to a production organization to confirm correctness, ensure code
 * coverage, and prevent regressions. All Apex classes are
 * required to have at least 75% code coverage in order to be deployed
 * to a production organization. In addition, all triggers must have some code coverage.
 * 
 * The @isTest class annotation indicates this class only contains test
 * methods. Classes defined with the @isTest annotation do not count against
 * the organization size limit for all Apex scripts.
 *
 * See the Apex Language Reference for more information about Testing and Code Coverage.
 */
@isTest
private class TAM_AdminVisibInventarioToyota_Tst {

    static String sRectorTypePasoDistribuidor = Schema.SObjectType.Account.getRecordTypeInfosByName().get('Distribuidor').getRecordTypeId();

    @TestSetup static void loadData(){

        Account clienteDealer = new Account(
            Name = 'TOYOTA PRUEBA',
            Codigo_Distribuidor__c = '570550',          
            UnidadesAutosDemoAutorizadas__c = 5,
            TAM_EstatusCliente__c = 'Preautorización',
            RecordTypeId = sRectorTypePasoDistribuidor,
            TAM_FechaVigenciaInicio__c = Date.today(),
            TAM_FechaVigenciaFin__c = Date.today(),
            Venta_Corporativa__c = 'Si',
            EstatusDealer__c = 'Activo'
        );
        insert clienteDealer;

        TAM_AdminInventarioDealer__c objAdminInvDealer = new TAM_AdminInventarioDealer__c(
            Name = '570550 DistRelMod',
            TAM_CodigoDistribuidor__c = '570550',          
            TAM_DistribuidorAsociado__c = '570550, TOYOTA PRUEBA;',
            TAM_IdExterno__c = '570550 DistRelMod'
        );
        insert objAdminInvDealer;

        TAM_AdminInventarioDealer__c objAdminInvDealer2 = new TAM_AdminInventarioDealer__c(
            Name = '57010 DistRelMod',
            TAM_CodigoDistribuidor__c = '57010',          
            TAM_DistribuidorAsociado__c = '57010, TOYOTA PRUEBA;',
            TAM_IdExterno__c = '57010 DistRelMod',
            TAM_Funcion__c = 'EJECUTIVO',
            TAM_TipoInventario__c = 'PISO'      
        );
        insert objAdminInvDealer2;

        TAM_InventarioVehiculosToyota__c objInvVehiToy = new TAM_InventarioVehiculosToyota__c(
            Name = '1XXXXXXXXX1',
            Dealer_Code__c = '570550'         
        );
        insert objInvVehiToy;

    }

    public static Integer aleatorio(Integer max){
        Integer rand = Math.round(Math.random()*1000);
        return Math.mod(rand, max);
    }

    static testMethod void TAM_AdminVisibInventarioToyotaOk() {
        
        Test.startTest();
            String sIdRegistro = '';
            String slWrpMapDatosDistPasoPrm = '[{"blnDefaultColaboraGrupo":true,"blnModDistRel":true,"blnMuestra":true,"NombreDist":"Toyota Bajío Sur","NumeroDist":"570550","setDistRel":[],"setDistrRel":[],"setFuncDistPrinc":["\"Ejecutivo\",\"Gestor\",\"Asesor\","],"setSelectDistrRel":["57010","57303"],"setSelectFuncDistPrinc":[],"setSelectTiposInvenDistPrinc":[],"setTiposInvenDistPrinc":["\"Producción\",\"Tráfico\",\"Piso\","]},{"blnDefaultColaboraGrupo":true,"blnModDistRel":true,"blnMuestra":true,"NombreDist":"Toyota Chiapas","NumeroDist":"57028","setDistRel":[],"setDistrRel":[],"setFuncDistPrinc":["\"Ejecutivo\",\"Gestor\",\"Asesor\","],"setSelectDistrRel":["57043","57612"],"setSelectFuncDistPrinc":[],"setSelectTiposInvenDistPrinc":[],"setTiposInvenDistPrinc":["\"Producción\",\"Tráfico\",\"Piso\","]}]';
            String slDealesDelFinalPrm = '["570550","570550"]';
            String sDealersColaboraPrmFinal = '570550, TOYOTA DEL BAJÍO, TOYOTA GUNAJUATO;57028, TOYOTA CAMPECHE, TOYOTA CHETUMAL;';
            set<String> setVodDealer = new set<String>{'570550', '57028'};
            String sobjClientePrm = '{"RecordTypeId":"012i00000002BxyAAE","Id":"001i000001UF9bXAAT","Name":"TOYOTA PRUEBA","Codigo_Distribuidor__c":"570550"}';
            
            String acCreaColaboraDealer = '570550';
            String lDealesDelFinalPrm = '[]';
            String slWrpMapDatosDistPrm = '[{"blnBlocDistRel":false,"blnDefaultColaboraGrupo":true,"blnModDistRel":false,"blnMuestra":false,"blnTieneReglas":true,"NombreDist":"TMEX","NumeroDist":"57000","setDistRel":[],"setDistrRel":[],"setFuncDistPrinc":["Ejecutivo","Gestor","Asesor"],"setSelectDistrRel":[],"setSelectFuncDistPrinc":[],"setSelectTiposInvenDistPrinc":[],"setTiposInvenDistPrinc":["Producción","Tráfico","Piso"]},{"blnBlocDistRel":false,"blnDefaultColaboraGrupo":true,"blnModDistRel":false,"blnMuestra":false,"blnTieneReglas":true,"NombreDist":"TMS de Mexico S RL de CV","NumeroDist":"65700","setDistRel":[],"setDistrRel":[],"setFuncDistPrinc":["Ejecutivo","Gestor","Asesor"],"setSelectDistrRel":[],"setSelectFuncDistPrinc":[],"setSelectTiposInvenDistPrinc":[],"setTiposInvenDistPrinc":["Producción","Tráfico","Piso"]},{"blnBlocDistRel":false,"blnDefaultColaboraGrupo":true,"blnModDistRel":false,"blnMuestra":false,"blnTieneReglas":true,"NombreDist":"Toyota Aeropuerto Anterior","NumeroDist":"57055","setDistRel":[],"setDistrRel":[],"setFuncDistPrinc":["Ejecutivo","Gestor","Asesor"],"setSelectDistrRel":[],"setSelectFuncDistPrinc":[],"setSelectTiposInvenDistPrinc":[],"setTiposInvenDistPrinc":["Producción","Tráfico","Piso"]},{"blnBlocDistRel":false,"blnDefaultColaboraGrupo":true,"blnModDistRel":false,"blnMuestra":false,"blnTieneReglas":true,"NombreDist":"Toyota Aguascalientes","NumeroDist":"57019","setDistRel":[],"setDistrRel":[],"setFuncDistPrinc":["Ejecutivo","Gestor","Asesor"],"setSelectDistrRel":[],"setSelectFuncDistPrinc":[],"setSelectTiposInvenDistPrinc":[],"setTiposInvenDistPrinc":["Producción","Tráfico","Piso"]},{"blnBlocDistRel":false,"blnDefaultColaboraGrupo":true,"blnModDistRel":false,"blnMuestra":false,"blnTieneReglas":false,"NombreDist":"Toyota Aguascalientes Sur","NumeroDist":"57208","setDistRel":[],"setDistrRel":[],"setFuncDistPrinc":["Ejecutivo","Gestor","Asesor"],"setSelectDistrRel":[],"setSelectFuncDistPrinc":[],"setSelectTiposInvenDistPrinc":[],"setTiposInvenDistPrinc":["Producción","Tráfico","Piso"]},{"blnBlocDistRel":true,"blnDefaultColaboraGrupo":true,"blnModDistRel":false,"blnMuestra":false,"blnTieneReglas":true,"NombreDist":"Toyota Angelópolis","NumeroDist":"57007","setDistRel":[],"setDistrRel":[],"setFuncDistPrinc":["Ejecutivo","Gestor","Asesor"],"setSelectDistrRel":[],"setSelectFuncDistPrinc":[],"setSelectTiposInvenDistPrinc":[],"setTiposInvenDistPrinc":["Producción","Tráfico","Piso"]},{"blnBlocDistRel":false,"blnDefaultColaboraGrupo":true,"blnModDistRel":false,"blnMuestra":false,"blnTieneReglas":true,"NombreDist":"Toyota Apizaco","NumeroDist":"57059","setDistRel":[],"setDistrRel":[],"setFuncDistPrinc":["Ejecutivo","Gestor","Asesor"],"setSelectDistrRel":[],"setSelectFuncDistPrinc":[],"setSelectTiposInvenDistPrinc":[],"setTiposInvenDistPrinc":["Producción","Tráfico","Piso"]},{"blnBlocDistRel":true,"blnDefaultColaboraGrupo":true,"blnModDistRel":false,"blnMuestra":false,"blnTieneReglas":true,"NombreDist":"Toyota Bajío Sur","NumeroDist":"57213","setDistRel":[],"setDistrRel":[],"setFuncDistPrinc":["Ejecutivo","Gestor","Asesor"],"setSelectDistrRel":[],"setSelectFuncDistPrinc":[],"setSelectTiposInvenDistPrinc":[],"setTiposInvenDistPrinc":["Producción","Tráfico","Piso"]},{"blnBlocDistRel":false,"blnDefaultColaboraGrupo":true,"blnModDistRel":false,"blnMuestra":false,"blnTieneReglas":true,"NombreDist":"Toyota Campeche","NumeroDist":"57043","setDistRel":[],"setDistrRel":[],"setFuncDistPrinc":["Ejecutivo","Gestor","Asesor"],"setSelectDistrRel":[],"setSelectFuncDistPrinc":[],"setSelectTiposInvenDistPrinc":[],"setTiposInvenDistPrinc":["Producción","Tráfico","Piso"]},{"blnBlocDistRel":false,"blnDefaultColaboraGrupo":true,"blnModDistRel":false,"blnMuestra":false,"blnTieneReglas":true,"NombreDist":"Toyota Cancún","NumeroDist":"57036","setDistRel":[],"setDistrRel":[],"setFuncDistPrinc":["Ejecutivo","Gestor","Asesor"],"setSelectDistrRel":[],"setSelectFuncDistPrinc":[],"setSelectTiposInvenDistPrinc":[],"setTiposInvenDistPrinc":["Producción","Tráfico","Piso"]},{"blnBlocDistRel":false,"blnDefaultColaboraGrupo":true,"blnModDistRel":false,"blnMuestra":false,"blnTieneReglas":true,"NombreDist":"Toyota Celaya","NumeroDist":"57040","setDistRel":[],"setDistrRel":[],"setFuncDistPrinc":["Ejecutivo","Gestor","Asesor"],"setSelectDistrRel":[],"setSelectFuncDistPrinc":[],"setSelectTiposInvenDistPrinc":[],"setTiposInvenDistPrinc":["Producción","Tráfico","Piso"]},{"blnBlocDistRel":false,"blnDefaultColaboraGrupo":true,"blnModDistRel":false,"blnMuestra":false,"blnTieneReglas":true,"NombreDist":"Toyota Chetumal","NumeroDist":"57612","setDistRel":[],"setDistrRel":[],"setFuncDistPrinc":["Ejecutivo","Gestor","Asesor"],"setSelectDistrRel":[],"setSelectFuncDistPrinc":[],"setSelectTiposInvenDistPrinc":[],"setTiposInvenDistPrinc":["Producción","Tráfico","Piso"]},{"blnBlocDistRel":false,"blnDefaultColaboraGrupo":true,"blnModDistRel":false,"blnMuestra":false,"blnTieneReglas":true,"NombreDist":"Toyota Chiapas","NumeroDist":"57028","setDistRel":[],"setDistrRel":[],"setFuncDistPrinc":["Ejecutivo","Gestor","Asesor"],"setSelectDistrRel":[],"setSelectFuncDistPrinc":[],"setSelectTiposInvenDistPrinc":[],"setTiposInvenDistPrinc":["Producción","Tráfico","Piso"]},{"blnBlocDistRel":false,"blnDefaultColaboraGrupo":true,"blnModDistRel":false,"blnMuestra":false,"blnTieneReglas":true,"NombreDist":"Toyota Chihuahua","NumeroDist":"57008","setDistRel":[],"setDistrRel":[],"setFuncDistPrinc":["Ejecutivo","Gestor","Asesor"],"setSelectDistrRel":[],"setSelectFuncDistPrinc":[],"setSelectTiposInvenDistPrinc":[],"setTiposInvenDistPrinc":["Producción","Tráfico","Piso"]},{"blnBlocDistRel":false,"blnDefaultColaboraGrupo":true,"blnModDistRel":false,"blnMuestra":false,"blnTieneReglas":true,"NombreDist":"Toyota Coacalco","NumeroDist":"57608","setDistRel":[],"setDistrRel":[],"setFuncDistPrinc":["Ejecutivo","Gestor","Asesor"],"setSelectDistrRel":[],"setSelectFuncDistPrinc":[],"setSelectTiposInvenDistPrinc":[],"setTiposInvenDistPrinc":["Producción","Tráfico","Piso"]},{"blnBlocDistRel":false,"blnDefaultColaboraGrupo":true,"blnModDistRel":false,"blnMuestra":false,"blnTieneReglas":true,"NombreDist":"Toyota Coapa","NumeroDist":"57038","setDistRel":[],"setDistrRel":[],"setFuncDistPrinc":["Ejecutivo","Gestor","Asesor"],"setSelectDistrRel":[],"setSelectFuncDistPrinc":[],"setSelectTiposInvenDistPrinc":[],"setTiposInvenDistPrinc":["Producción","Tráfico","Piso"]},{"blnBlocDistRel":false,"blnDefaultColaboraGrupo":true,"blnModDistRel":false,"blnMuestra":false,"blnTieneReglas":true,"NombreDist":"Toyota Coatzacoalcos","NumeroDist":"57035","setDistRel":[],"setDistrRel":[],"setFuncDistPrinc":["Ejecutivo","Gestor","Asesor"],"setSelectDistrRel":[],"setSelectFuncDistPrinc":[],"setSelectTiposInvenDistPrinc":[],"setTiposInvenDistPrinc":["Producción","Tráfico","Piso"]},{"blnBlocDistRel":false,"blnDefaultColaboraGrupo":true,"blnModDistRel":false,"blnMuestra":false,"blnTieneReglas":true,"NombreDist":"Toyota Colima","NumeroDist":"57030","setDistRel":[],"setDistrRel":[],"setFuncDistPrinc":["Ejecutivo","Gestor","Asesor"],"setSelectDistrRel":[],"setSelectFuncDistPrinc":[],"setSelectTiposInvenDistPrinc":[],"setTiposInvenDistPrinc":["Producción","Tráfico","Piso"]},{"blnBlocDistRel":false,"blnDefaultColaboraGrupo":true,"blnModDistRel":false,"blnMuestra":false,"blnTieneReglas":true,"NombreDist":"Toyota Córdoba","NumeroDist":"57031","setDistRel":[],"setDistrRel":[],"setFuncDistPrinc":["Ejecutivo","Gestor","Asesor"],"setSelectDistrRel":[],"setSelectFuncDistPrinc":[],"setSelectTiposInvenDistPrinc":[],"setTiposInvenDistPrinc":["Producción","Tráfico","Piso"]},{"blnBlocDistRel":false,"blnDefaultColaboraGrupo":true,"blnModDistRel":false,"blnMuestra":false,"blnTieneReglas":true,"NombreDist":"Toyota Cuautitlán","NumeroDist":"57058","setDistRel":[],"setDistrRel":[],"setFuncDistPrinc":["Ejecutivo","Gestor","Asesor"],"setSelectDistrRel":[],"setSelectFuncDistPrinc":[],"setSelectTiposInvenDistPrinc":[],"setTiposInvenDistPrinc":["Producción","Tráfico","Piso"]},{"blnBlocDistRel":false,"blnDefaultColaboraGrupo":true,"blnModDistRel":false,"blnMuestra":false,"blnTieneReglas":true,"NombreDist":"Toyota Cuautla","NumeroDist":"57302","setDistRel":[],"setDistrRel":[],"setFuncDistPrinc":["Ejecutivo","Gestor","Asesor"],"setSelectDistrRel":[],"setSelectFuncDistPrinc":[],"setSelectTiposInvenDistPrinc":[],"setTiposInvenDistPrinc":["Producción","Tráfico","Piso"]},{"blnBlocDistRel":false,"blnDefaultColaboraGrupo":true,"blnModDistRel":false,"blnMuestra":false,"blnTieneReglas":true,"NombreDist":"Toyota Cuernavaca","NumeroDist":"57039","setDistRel":[],"setDistrRel":[],"setFuncDistPrinc":["Ejecutivo","Gestor","Asesor"],"setSelectDistrRel":[],"setSelectFuncDistPrinc":[],"setSelectTiposInvenDistPrinc":[],"setTiposInvenDistPrinc":["Producción","Tráfico","Piso"]},{"blnBlocDistRel":false,"blnDefaultColaboraGrupo":true,"blnModDistRel":false,"blnMuestra":false,"blnTieneReglas":true,"NombreDist":"Toyota Culiacán","NumeroDist":"57024","setDistRel":[],"setDistrRel":[],"setFuncDistPrinc":["Ejecutivo","Gestor","Asesor"],"setSelectDistrRel":[],"setSelectFuncDistPrinc":[],"setSelectTiposInvenDistPrinc":[],"setTiposInvenDistPrinc":["Producción","Tráfico","Piso"]},{"blnBlocDistRel":false,"blnDefaultColaboraGrupo":true,"blnModDistRel":false,"blnMuestra":false,"blnTieneReglas":true,"NombreDist":"Toyota Dalton Industrias","NumeroDist":"57209","setDistRel":[],"setDistrRel":[],"setFuncDistPrinc":["Ejecutivo","Gestor","Asesor"],"setSelectDistrRel":[],"setSelectFuncDistPrinc":[],"setSelectTiposInvenDistPrinc":[],"setTiposInvenDistPrinc":["Producción","Tráfico","Piso"]},{"blnBlocDistRel":false,"blnDefaultColaboraGrupo":true,"blnModDistRel":false,"blnMuestra":false,"blnTieneReglas":true,"NombreDist":"Toyota Dalton Lopez Mateos","NumeroDist":"57001","setDistRel":[],"setDistrRel":[],"setFuncDistPrinc":["Ejecutivo","Gestor","Asesor"],"setSelectDistrRel":[],"setSelectFuncDistPrinc":[],"setSelectTiposInvenDistPrinc":[],"setTiposInvenDistPrinc":["Producción","Tráfico","Piso"]},{"blnBlocDistRel":false,"blnDefaultColaboraGrupo":true,"blnModDistRel":false,"blnMuestra":false,"blnTieneReglas":true,"NombreDist":"Toyota Dalton Patria","NumeroDist":"57604","setDistRel":[],"setDistrRel":[],"setFuncDistPrinc":["Ejecutivo","Gestor","Asesor"],"setSelectDistrRel":[],"setSelectFuncDistPrinc":[],"setSelectTiposInvenDistPrinc":[],"setTiposInvenDistPrinc":["Producción","Tráfico","Piso"]},{"blnBlocDistRel":false,"blnDefaultColaboraGrupo":true,"blnModDistRel":false,"blnMuestra":false,"blnTieneReglas":true,"NombreDist":"Toyota Dalton San Luis Potosí","NumeroDist":"57020","setDistRel":[],"setDistrRel":[],"setFuncDistPrinc":["Ejecutivo","Gestor","Asesor"],"setSelectDistrRel":[],"setSelectFuncDistPrinc":[],"setSelectTiposInvenDistPrinc":[],"setTiposInvenDistPrinc":["Producción","Tráfico","Piso"]},{"blnBlocDistRel":false,"blnDefaultColaboraGrupo":true,"blnModDistRel":false,"blnMuestra":false,"blnTieneReglas":true,"NombreDist":"Toyota De Prueba","NumeroDist":"57609","setDistRel":[],"setDistrRel":[],"setFuncDistPrinc":["Ejecutivo","Gestor","Asesor"],"setSelectDistrRel":[],"setSelectFuncDistPrinc":[],"setSelectTiposInvenDistPrinc":[],"setTiposInvenDistPrinc":["Producción","Tráfico","Piso"]},{"blnBlocDistRel":false,"blnDefaultColaboraGrupo":true,"blnModDistRel":true,"blnMuestra":true,"blnTieneReglas":false,"NombreDist":"TOYOTA PRUEBA","NumeroDist":"570550","setDistRel":[],"setDistrRel":[{"value":"57000","label":"TMEX"},{"value":"65700","label":"TMS de Mexico S RL de CV"},{"value":"57055","label":"Toyota Aeropuerto Anterior"},{"value":"57019","label":"Toyota Aguascalientes"},{"value":"57208","label":"Toyota Aguascalientes Sur"},{"value":"57007","label":"Toyota Angelópolis"},{"value":"57059","label":"Toyota Apizaco"},{"value":"57213","label":"Toyota Bajío Sur"},{"value":"57043","label":"Toyota Campeche"},{"value":"57036","label":"Toyota Cancún"},{"value":"57040","label":"Toyota Celaya"},{"value":"57612","label":"Toyota Chetumal"},{"value":"57028","label":"Toyota Chiapas"},{"value":"57008","label":"Toyota Chihuahua"},{"value":"57608","label":"Toyota Coacalco"},{"value":"57038","label":"Toyota Coapa"},{"value":"57035","label":"Toyota Coatzacoalcos"},{"value":"57030","label":"Toyota Colima"},{"value":"57031","label":"Toyota Córdoba"},{"value":"57058","label":"Toyota Cuautitlán"},{"value":"57302","label":"Toyota Cuautla"},{"value":"57039","label":"Toyota Cuernavaca"},{"value":"57024","label":"Toyota Culiacán"},{"value":"57209","label":"Toyota Dalton Industrias"},{"value":"57001","label":"Toyota Dalton Lopez Mateos"},{"value":"57604","label":"Toyota Dalton Patria"},{"value":"57020","label":"Toyota Dalton San Luis Potosí"},{"value":"57609","label":"Toyota De Prueba"},{"value":"570550","label":"TOYOTA PRUEBA"},{"value":"57307","label":"Toyota Delicias"},{"value":"57042","label":"Toyota Durango"},{"value":"0000","label":"Toyota Estados Unidos"},{"value":"57016","label":"Toyota Fame Valladolid"},{"value":"57201","label":"Toyota Gabriel Mancera"},{"value":"57011","label":"Toyota Guadalajara Acueducto"},{"value":"57605","label":"Toyota Guadalajara Country"},{"value":"57037","label":"Toyota Guerrero"},{"value":"57303","label":"Toyota Gunajuato"},{"value":"57026","label":"Toyota Hermosillo"},{"value":"57021","label":"Toyota Innova Fleteros"},{"value":"57305","label":"Toyota Innova Matamoros"},{"value":"57041","label":"Toyota Innova Reynosa"},{"value":"57602","label":"Toyota Innova Sendero"},{"value":"57005","label":"Toyota Interlomas"},{"value":"57045","label":"Toyota Irapuato"},{"value":"57034","label":"Toyota Juárez"},{"value":"57009","label":"Toyota Laguna"},{"value":"57601","label":"Toyota Lindavista"},{"value":"57046","label":"Toyota Lomas Verdes"},{"value":"57052","label":"Toyota Los Cabos"},{"value":"57607","label":"Toyota Los Fuertes Diagonal"},{"value":"57600","label":"Toyota Los Mochis"},{"value":"57304","label":"Toyota Manzanillo"},{"value":"57044","label":"Toyota Mazatlán"},{"value":"57014","label":"Toyota Mérida"},{"value":"57051","label":"Toyota Mexicali"},{"value":"57002","label":"Toyota Monterrey"},{"value":"57603","label":"Toyota Nogales"},{"value":"57029","label":"Toyota Oaxaca"},{"value":"57053","label":"Toyota Obregón"},{"value":"57025","label":"Toyota Pachuca"},{"value":"57003","label":"Toyota Perisur"},{"value":"57050","label":"Toyota Polanco"},{"value":"57048","label":"Toyota Poza Rica"},{"value":"57205","label":"Toyota Puerta Santa Fé"},{"value":"57049","label":"Toyota Puerto Vallarta"},{"value":"57017","label":"Toyota Querétaro"},{"value":"57610","label":"Toyota Revolución"},{"value":"57054","label":"Toyota Riviera Maya"},{"value":"57606","label":"Toyota Salina Cruz"},{"value":"57032","label":"Toyota Saltillo Anterior"},{"value":"57013","label":"Toyota Santa Fe"},{"value":"57006","label":"Toyota Satélite"},{"value":"57206","label":"Toyota Serdán"},{"value":"57023","label":"Toyota Tabasco"},{"value":"57027","label":"Toyota Tampico"},{"value":"57308","label":"Toyota Tehuacán"},{"value":"57033","label":"Toyota Tijuana"},{"value":"57012","label":"Toyota Toluca"},{"value":"57025 B","label":" TULANCINGO"},{"value":"57004","label":"Toyota Universidad"},{"value":"57022","label":"Toyota Vallejo"},{"value":"57018","label":"Toyota Veracruz"},{"value":"57611","label":"Toyota Victoria"},{"value":"57047","label":"Toyota Xalapa"},{"value":"57060","label":"Toyota Zacatecas"},{"value":"57407","label":"57407"},{"value":"57408","label":"57408"}],"setFuncDistPrinc":[{"value":"Ejecutivo","label":"Ejecutivo"},{"value":"Gestor","label":"Gestor"},{"value":"Asesor","label":"Asesor"}],"setSelectDistrRel":["57213","57303"],"setSelectFuncDistPrinc":[],"setSelectTiposInvenDistPrinc":[],"setTiposInvenDistPrinc":[{"value":"Producción","label":"Producción"},{"value":"Tráfico","label":"Tráfico"},{"value":"Piso","label":"Piso"}]},{"blnBlocDistRel":false,"blnDefaultColaboraGrupo":true,"blnModDistRel":false,"blnMuestra":false,"blnTieneReglas":true,"NombreDist":"Toyota Delicias","NumeroDist":"57307","setDistRel":[],"setDistrRel":[],"setFuncDistPrinc":["Ejecutivo","Gestor","Asesor"],"setSelectDistrRel":[],"setSelectFuncDistPrinc":[],"setSelectTiposInvenDistPrinc":[],"setTiposInvenDistPrinc":["Producción","Tráfico","Piso"]},{"blnBlocDistRel":false,"blnDefaultColaboraGrupo":true,"blnModDistRel":false,"blnMuestra":false,"blnTieneReglas":true,"NombreDist":"Toyota Durango","NumeroDist":"57042","setDistRel":[],"setDistrRel":[],"setFuncDistPrinc":["Ejecutivo","Gestor","Asesor"],"setSelectDistrRel":[],"setSelectFuncDistPrinc":[],"setSelectTiposInvenDistPrinc":[],"setTiposInvenDistPrinc":["Producción","Tráfico","Piso"]},{"blnBlocDistRel":false,"blnDefaultColaboraGrupo":true,"blnModDistRel":false,"blnMuestra":false,"blnTieneReglas":true,"NombreDist":"Toyota Estados Unidos","NumeroDist":"0000","setDistRel":[],"setDistrRel":[],"setFuncDistPrinc":["Ejecutivo","Gestor","Asesor"],"setSelectDistrRel":[],"setSelectFuncDistPrinc":[],"setSelectTiposInvenDistPrinc":[],"setTiposInvenDistPrinc":["Producción","Tráfico","Piso"]},{"blnBlocDistRel":false,"blnDefaultColaboraGrupo":true,"blnModDistRel":false,"blnMuestra":false,"blnTieneReglas":true,"NombreDist":"Toyota Fame Valladolid","NumeroDist":"57016","setDistRel":[],"setDistrRel":[],"setFuncDistPrinc":["Ejecutivo","Gestor","Asesor"],"setSelectDistrRel":[],"setSelectFuncDistPrinc":[],"setSelectTiposInvenDistPrinc":[],"setTiposInvenDistPrinc":["Producción","Tráfico","Piso"]},{"blnBlocDistRel":false,"blnDefaultColaboraGrupo":true,"blnModDistRel":false,"blnMuestra":false,"blnTieneReglas":true,"NombreDist":"Toyota Gabriel Mancera","NumeroDist":"57201","setDistRel":[],"setDistrRel":[],"setFuncDistPrinc":["Ejecutivo","Gestor","Asesor"],"setSelectDistrRel":[],"setSelectFuncDistPrinc":[],"setSelectTiposInvenDistPrinc":[],"setTiposInvenDistPrinc":["Producción","Tráfico","Piso"]},{"blnBlocDistRel":false,"blnDefaultColaboraGrupo":true,"blnModDistRel":false,"blnMuestra":false,"blnTieneReglas":true,"NombreDist":"Toyota Guadalajara Acueducto","NumeroDist":"57011","setDistRel":[],"setDistrRel":[],"setFuncDistPrinc":["Ejecutivo","Gestor","Asesor"],"setSelectDistrRel":[],"setSelectFuncDistPrinc":[],"setSelectTiposInvenDistPrinc":[],"setTiposInvenDistPrinc":["Producción","Tráfico","Piso"]},{"blnBlocDistRel":false,"blnDefaultColaboraGrupo":true,"blnModDistRel":false,"blnMuestra":false,"blnTieneReglas":true,"NombreDist":"Toyota Guadalajara Country","NumeroDist":"57605","setDistRel":[],"setDistrRel":[],"setFuncDistPrinc":["Ejecutivo","Gestor","Asesor"],"setSelectDistrRel":[],"setSelectFuncDistPrinc":[],"setSelectTiposInvenDistPrinc":[],"setTiposInvenDistPrinc":["Producción","Tráfico","Piso"]},{"blnBlocDistRel":false,"blnDefaultColaboraGrupo":true,"blnModDistRel":false,"blnMuestra":false,"blnTieneReglas":true,"NombreDist":"Toyota Guerrero","NumeroDist":"57037","setDistRel":[],"setDistrRel":[],"setFuncDistPrinc":["Ejecutivo","Gestor","Asesor"],"setSelectDistrRel":[],"setSelectFuncDistPrinc":[],"setSelectTiposInvenDistPrinc":[],"setTiposInvenDistPrinc":["Producción","Tráfico","Piso"]},{"blnBlocDistRel":true,"blnDefaultColaboraGrupo":true,"blnModDistRel":false,"blnMuestra":false,"blnTieneReglas":true,"NombreDist":"Toyota Gunajuato","NumeroDist":"57303","setDistRel":[],"setDistrRel":[],"setFuncDistPrinc":["Ejecutivo","Gestor","Asesor"],"setSelectDistrRel":[],"setSelectFuncDistPrinc":[],"setSelectTiposInvenDistPrinc":[],"setTiposInvenDistPrinc":["Producción","Tráfico","Piso"]},{"blnBlocDistRel":false,"blnDefaultColaboraGrupo":true,"blnModDistRel":false,"blnMuestra":false,"blnTieneReglas":true,"NombreDist":"Toyota Hermosillo","NumeroDist":"57026","setDistRel":[],"setDistrRel":[],"setFuncDistPrinc":["Ejecutivo","Gestor","Asesor"],"setSelectDistrRel":[],"setSelectFuncDistPrinc":[],"setSelectTiposInvenDistPrinc":[],"setTiposInvenDistPrinc":["Producción","Tráfico","Piso"]},{"blnBlocDistRel":false,"blnDefaultColaboraGrupo":true,"blnModDistRel":false,"blnMuestra":false,"blnTieneReglas":false,"NombreDist":"Toyota Innova Fleteros","NumeroDist":"57021","setDistRel":[],"setDistrRel":[],"setFuncDistPrinc":["Ejecutivo","Gestor","Asesor"],"setSelectDistrRel":[],"setSelectFuncDistPrinc":[],"setSelectTiposInvenDistPrinc":[],"setTiposInvenDistPrinc":["Producción","Tráfico","Piso"]},{"blnBlocDistRel":false,"blnDefaultColaboraGrupo":true,"blnModDistRel":false,"blnMuestra":false,"blnTieneReglas":true,"NombreDist":"Toyota Innova Matamoros","NumeroDist":"57305","setDistRel":[],"setDistrRel":[],"setFuncDistPrinc":["Ejecutivo","Gestor","Asesor"],"setSelectDistrRel":[],"setSelectFuncDistPrinc":[],"setSelectTiposInvenDistPrinc":[],"setTiposInvenDistPrinc":["Producción","Tráfico","Piso"]},{"blnBlocDistRel":false,"blnDefaultColaboraGrupo":true,"blnModDistRel":false,"blnMuestra":false,"blnTieneReglas":true,"NombreDist":"Toyota Innova Reynosa","NumeroDist":"57041","setDistRel":[],"setDistrRel":[],"setFuncDistPrinc":["Ejecutivo","Gestor","Asesor"],"setSelectDistrRel":[],"setSelectFuncDistPrinc":[],"setSelectTiposInvenDistPrinc":[],"setTiposInvenDistPrinc":["Producción","Tráfico","Piso"]},{"blnBlocDistRel":false,"blnDefaultColaboraGrupo":true,"blnModDistRel":false,"blnMuestra":false,"blnTieneReglas":true,"NombreDist":"Toyota Innova Sendero","NumeroDist":"57602","setDistRel":[],"setDistrRel":[],"setFuncDistPrinc":["Ejecutivo","Gestor","Asesor"],"setSelectDistrRel":[],"setSelectFuncDistPrinc":[],"setSelectTiposInvenDistPrinc":[],"setTiposInvenDistPrinc":["Producción","Tráfico","Piso"]},{"blnBlocDistRel":false,"blnDefaultColaboraGrupo":true,"blnModDistRel":false,"blnMuestra":false,"blnTieneReglas":true,"NombreDist":"Toyota Interlomas","NumeroDist":"57005","setDistRel":[],"setDistrRel":[],"setFuncDistPrinc":["Ejecutivo","Gestor","Asesor"],"setSelectDistrRel":[],"setSelectFuncDistPrinc":[],"setSelectTiposInvenDistPrinc":[],"setTiposInvenDistPrinc":["Producción","Tráfico","Piso"]},{"blnBlocDistRel":false,"blnDefaultColaboraGrupo":true,"blnModDistRel":false,"blnMuestra":false,"blnTieneReglas":true,"NombreDist":"Toyota Irapuato","NumeroDist":"57045","setDistRel":[],"setDistrRel":[],"setFuncDistPrinc":["Ejecutivo","Gestor","Asesor"],"setSelectDistrRel":[],"setSelectFuncDistPrinc":[],"setSelectTiposInvenDistPrinc":[],"setTiposInvenDistPrinc":["Producción","Tráfico","Piso"]},{"blnBlocDistRel":false,"blnDefaultColaboraGrupo":true,"blnModDistRel":false,"blnMuestra":false,"blnTieneReglas":true,"NombreDist":"Toyota Juárez","NumeroDist":"57034","setDistRel":[],"setDistrRel":[],"setFuncDistPrinc":["Ejecutivo","Gestor","Asesor"],"setSelectDistrRel":[],"setSelectFuncDistPrinc":[],"setSelectTiposInvenDistPrinc":[],"setTiposInvenDistPrinc":["Producción","Tráfico","Piso"]},{"blnBlocDistRel":false,"blnDefaultColaboraGrupo":true,"blnModDistRel":false,"blnMuestra":false,"blnTieneReglas":true,"NombreDist":"Toyota Laguna","NumeroDist":"57009","setDistRel":[],"setDistrRel":[],"setFuncDistPrinc":["Ejecutivo","Gestor","Asesor"],"setSelectDistrRel":[],"setSelectFuncDistPrinc":[],"setSelectTiposInvenDistPrinc":[],"setTiposInvenDistPrinc":["Producción","Tráfico","Piso"]},{"blnBlocDistRel":false,"blnDefaultColaboraGrupo":true,"blnModDistRel":false,"blnMuestra":false,"blnTieneReglas":true,"NombreDist":"Toyota Lindavista","NumeroDist":"57601","setDistRel":[],"setDistrRel":[],"setFuncDistPrinc":["Ejecutivo","Gestor","Asesor"],"setSelectDistrRel":[],"setSelectFuncDistPrinc":[],"setSelectTiposInvenDistPrinc":[],"setTiposInvenDistPrinc":["Producción","Tráfico","Piso"]},{"blnBlocDistRel":false,"blnDefaultColaboraGrupo":true,"blnModDistRel":false,"blnMuestra":false,"blnTieneReglas":true,"NombreDist":"Toyota Lomas Verdes","NumeroDist":"57046","setDistRel":[],"setDistrRel":[],"setFuncDistPrinc":["Ejecutivo","Gestor","Asesor"],"setSelectDistrRel":[],"setSelectFuncDistPrinc":[],"setSelectTiposInvenDistPrinc":[],"setTiposInvenDistPrinc":["Producción","Tráfico","Piso"]},{"blnBlocDistRel":false,"blnDefaultColaboraGrupo":true,"blnModDistRel":false,"blnMuestra":false,"blnTieneReglas":true,"NombreDist":"Toyota Los Cabos","NumeroDist":"57052","setDistRel":[],"setDistrRel":[],"setFuncDistPrinc":["Ejecutivo","Gestor","Asesor"],"setSelectDistrRel":[],"setSelectFuncDistPrinc":[],"setSelectTiposInvenDistPrinc":[],"setTiposInvenDistPrinc":["Producción","Tráfico","Piso"]},{"blnBlocDistRel":false,"blnDefaultColaboraGrupo":true,"blnModDistRel":false,"blnMuestra":false,"blnTieneReglas":true,"NombreDist":"Toyota Los Fuertes Diagonal","NumeroDist":"57607","setDistRel":[],"setDistrRel":[],"setFuncDistPrinc":["Ejecutivo","Gestor","Asesor"],"setSelectDistrRel":[],"setSelectFuncDistPrinc":[],"setSelectTiposInvenDistPrinc":[],"setTiposInvenDistPrinc":["Producción","Tráfico","Piso"]},{"blnBlocDistRel":false,"blnDefaultColaboraGrupo":true,"blnModDistRel":false,"blnMuestra":false,"blnTieneReglas":true,"NombreDist":"Toyota Los Mochis","NumeroDist":"57600","setDistRel":[],"setDistrRel":[],"setFuncDistPrinc":["Ejecutivo","Gestor","Asesor"],"setSelectDistrRel":[],"setSelectFuncDistPrinc":[],"setSelectTiposInvenDistPrinc":[],"setTiposInvenDistPrinc":["Producción","Tráfico","Piso"]},{"blnBlocDistRel":false,"blnDefaultColaboraGrupo":true,"blnModDistRel":false,"blnMuestra":false,"blnTieneReglas":true,"NombreDist":"Toyota Manzanillo","NumeroDist":"57304","setDistRel":[],"setDistrRel":[],"setFuncDistPrinc":["Ejecutivo","Gestor","Asesor"],"setSelectDistrRel":[],"setSelectFuncDistPrinc":[],"setSelectTiposInvenDistPrinc":[],"setTiposInvenDistPrinc":["Producción","Tráfico","Piso"]},{"blnBlocDistRel":false,"blnDefaultColaboraGrupo":true,"blnModDistRel":false,"blnMuestra":false,"blnTieneReglas":true,"NombreDist":"Toyota Mazatlán","NumeroDist":"57044","setDistRel":[],"setDistrRel":[],"setFuncDistPrinc":["Ejecutivo","Gestor","Asesor"],"setSelectDistrRel":[],"setSelectFuncDistPrinc":[],"setSelectTiposInvenDistPrinc":[],"setTiposInvenDistPrinc":["Producción","Tráfico","Piso"]},{"blnBlocDistRel":false,"blnDefaultColaboraGrupo":true,"blnModDistRel":false,"blnMuestra":false,"blnTieneReglas":true,"NombreDist":"Toyota Mérida","NumeroDist":"57014","setDistRel":[],"setDistrRel":[],"setFuncDistPrinc":["Ejecutivo","Gestor","Asesor"],"setSelectDistrRel":[],"setSelectFuncDistPrinc":[],"setSelectTiposInvenDistPrinc":[],"setTiposInvenDistPrinc":["Producción","Tráfico","Piso"]},{"blnBlocDistRel":false,"blnDefaultColaboraGrupo":true,"blnModDistRel":false,"blnMuestra":false,"blnTieneReglas":true,"NombreDist":"Toyota Mexicali","NumeroDist":"57051","setDistRel":[],"setDistrRel":[],"setFuncDistPrinc":["Ejecutivo","Gestor","Asesor"],"setSelectDistrRel":[],"setSelectFuncDistPrinc":[],"setSelectTiposInvenDistPrinc":[],"setTiposInvenDistPrinc":["Producción","Tráfico","Piso"]},{"blnBlocDistRel":false,"blnDefaultColaboraGrupo":true,"blnModDistRel":false,"blnMuestra":false,"blnTieneReglas":true,"NombreDist":"Toyota Monterrey","NumeroDist":"57002","setDistRel":[],"setDistrRel":[],"setFuncDistPrinc":["Ejecutivo","Gestor","Asesor"],"setSelectDistrRel":[],"setSelectFuncDistPrinc":[],"setSelectTiposInvenDistPrinc":[],"setTiposInvenDistPrinc":["Producción","Tráfico","Piso"]},{"blnBlocDistRel":false,"blnDefaultColaboraGrupo":true,"blnModDistRel":false,"blnMuestra":false,"blnTieneReglas":true,"NombreDist":"Toyota Nogales","NumeroDist":"57603","setDistRel":[],"setDistrRel":[],"setFuncDistPrinc":["Ejecutivo","Gestor","Asesor"],"setSelectDistrRel":[],"setSelectFuncDistPrinc":[],"setSelectTiposInvenDistPrinc":[],"setTiposInvenDistPrinc":["Producción","Tráfico","Piso"]},{"blnBlocDistRel":false,"blnDefaultColaboraGrupo":true,"blnModDistRel":false,"blnMuestra":false,"blnTieneReglas":true,"NombreDist":"Toyota Oaxaca","NumeroDist":"57029","setDistRel":[],"setDistrRel":[],"setFuncDistPrinc":["Ejecutivo","Gestor","Asesor"],"setSelectDistrRel":[],"setSelectFuncDistPrinc":[],"setSelectTiposInvenDistPrinc":[],"setTiposInvenDistPrinc":["Producción","Tráfico","Piso"]},{"blnBlocDistRel":false,"blnDefaultColaboraGrupo":true,"blnModDistRel":false,"blnMuestra":false,"blnTieneReglas":true,"NombreDist":"Toyota Obregón","NumeroDist":"57053","setDistRel":[],"setDistrRel":[],"setFuncDistPrinc":["Ejecutivo","Gestor","Asesor"],"setSelectDistrRel":[],"setSelectFuncDistPrinc":[],"setSelectTiposInvenDistPrinc":[],"setTiposInvenDistPrinc":["Producción","Tráfico","Piso"]},{"blnBlocDistRel":false,"blnDefaultColaboraGrupo":true,"blnModDistRel":false,"blnMuestra":false,"blnTieneReglas":true,"NombreDist":"Toyota Pachuca","NumeroDist":"57025","setDistRel":[],"setDistrRel":[],"setFuncDistPrinc":["Ejecutivo","Gestor","Asesor"],"setSelectDistrRel":[],"setSelectFuncDistPrinc":[],"setSelectTiposInvenDistPrinc":[],"setTiposInvenDistPrinc":["Producción","Tráfico","Piso"]},{"blnBlocDistRel":false,"blnDefaultColaboraGrupo":true,"blnModDistRel":false,"blnMuestra":false,"blnTieneReglas":true,"NombreDist":"Toyota Perisur","NumeroDist":"57003","setDistRel":[],"setDistrRel":[],"setFuncDistPrinc":["Ejecutivo","Gestor","Asesor"],"setSelectDistrRel":[],"setSelectFuncDistPrinc":[],"setSelectTiposInvenDistPrinc":[],"setTiposInvenDistPrinc":["Producción","Tráfico","Piso"]},{"blnBlocDistRel":false,"blnDefaultColaboraGrupo":true,"blnModDistRel":false,"blnMuestra":false,"blnTieneReglas":true,"NombreDist":"Toyota Polanco","NumeroDist":"57050","setDistRel":[],"setDistrRel":[],"setFuncDistPrinc":["Ejecutivo","Gestor","Asesor"],"setSelectDistrRel":[],"setSelectFuncDistPrinc":[],"setSelectTiposInvenDistPrinc":[],"setTiposInvenDistPrinc":["Producción","Tráfico","Piso"]},{"blnBlocDistRel":false,"blnDefaultColaboraGrupo":true,"blnModDistRel":false,"blnMuestra":false,"blnTieneReglas":true,"NombreDist":"Toyota Poza Rica","NumeroDist":"57048","setDistRel":[],"setDistrRel":[],"setFuncDistPrinc":["Ejecutivo","Gestor","Asesor"],"setSelectDistrRel":[],"setSelectFuncDistPrinc":[],"setSelectTiposInvenDistPrinc":[],"setTiposInvenDistPrinc":["Producción","Tráfico","Piso"]},{"blnBlocDistRel":false,"blnDefaultColaboraGrupo":true,"blnModDistRel":false,"blnMuestra":false,"blnTieneReglas":true,"NombreDist":"Toyota Puerta Santa Fé","NumeroDist":"57205","setDistRel":[],"setDistrRel":[],"setFuncDistPrinc":["Ejecutivo","Gestor","Asesor"],"setSelectDistrRel":[],"setSelectFuncDistPrinc":[],"setSelectTiposInvenDistPrinc":[],"setTiposInvenDistPrinc":["Producción","Tráfico","Piso"]},{"blnBlocDistRel":false,"blnDefaultColaboraGrupo":true,"blnModDistRel":false,"blnMuestra":false,"blnTieneReglas":true,"NombreDist":"Toyota Puerto Vallarta","NumeroDist":"57049","setDistRel":[],"setDistrRel":[],"setFuncDistPrinc":["Ejecutivo","Gestor","Asesor"],"setSelectDistrRel":[],"setSelectFuncDistPrinc":[],"setSelectTiposInvenDistPrinc":[],"setTiposInvenDistPrinc":["Producción","Tráfico","Piso"]},{"blnBlocDistRel":false,"blnDefaultColaboraGrupo":true,"blnModDistRel":false,"blnMuestra":false,"blnTieneReglas":true,"NombreDist":"Toyota Querétaro","NumeroDist":"57017","setDistRel":[],"setDistrRel":[],"setFuncDistPrinc":["Ejecutivo","Gestor","Asesor"],"setSelectDistrRel":[],"setSelectFuncDistPrinc":[],"setSelectTiposInvenDistPrinc":[],"setTiposInvenDistPrinc":["Producción","Tráfico","Piso"]},{"blnBlocDistRel":false,"blnDefaultColaboraGrupo":true,"blnModDistRel":false,"blnMuestra":false,"blnTieneReglas":true,"NombreDist":"Toyota Revolución","NumeroDist":"57610","setDistRel":[],"setDistrRel":[],"setFuncDistPrinc":["Ejecutivo","Gestor","Asesor"],"setSelectDistrRel":[],"setSelectFuncDistPrinc":[],"setSelectTiposInvenDistPrinc":[],"setTiposInvenDistPrinc":["Producción","Tráfico","Piso"]},{"blnBlocDistRel":false,"blnDefaultColaboraGrupo":true,"blnModDistRel":false,"blnMuestra":false,"blnTieneReglas":true,"NombreDist":"Toyota Riviera Maya","NumeroDist":"57054","setDistRel":[],"setDistrRel":[],"setFuncDistPrinc":["Ejecutivo","Gestor","Asesor"],"setSelectDistrRel":[],"setSelectFuncDistPrinc":[],"setSelectTiposInvenDistPrinc":[],"setTiposInvenDistPrinc":["Producción","Tráfico","Piso"]},{"blnBlocDistRel":false,"blnDefaultColaboraGrupo":true,"blnModDistRel":false,"blnMuestra":false,"blnTieneReglas":true,"NombreDist":"Toyota Salina Cruz","NumeroDist":"57606","setDistRel":[],"setDistrRel":[],"setFuncDistPrinc":["Ejecutivo","Gestor","Asesor"],"setSelectDistrRel":[],"setSelectFuncDistPrinc":[],"setSelectTiposInvenDistPrinc":[],"setTiposInvenDistPrinc":["Producción","Tráfico","Piso"]},{"blnBlocDistRel":false,"blnDefaultColaboraGrupo":true,"blnModDistRel":false,"blnMuestra":false,"blnTieneReglas":true,"NombreDist":"Toyota Saltillo Anterior","NumeroDist":"57032","setDistRel":[],"setDistrRel":[],"setFuncDistPrinc":["Ejecutivo","Gestor","Asesor"],"setSelectDistrRel":[],"setSelectFuncDistPrinc":[],"setSelectTiposInvenDistPrinc":[],"setTiposInvenDistPrinc":["Producción","Tráfico","Piso"]},{"blnBlocDistRel":false,"blnDefaultColaboraGrupo":true,"blnModDistRel":false,"blnMuestra":false,"blnTieneReglas":true,"NombreDist":"Toyota Santa Fe","NumeroDist":"57013","setDistRel":[],"setDistrRel":[],"setFuncDistPrinc":["Ejecutivo","Gestor","Asesor"],"setSelectDistrRel":[],"setSelectFuncDistPrinc":[],"setSelectTiposInvenDistPrinc":[],"setTiposInvenDistPrinc":["Producción","Tráfico","Piso"]},{"blnBlocDistRel":false,"blnDefaultColaboraGrupo":true,"blnModDistRel":false,"blnMuestra":false,"blnTieneReglas":true,"NombreDist":"Toyota Satélite","NumeroDist":"57006","setDistRel":[],"setDistrRel":[],"setFuncDistPrinc":["Ejecutivo","Gestor","Asesor"],"setSelectDistrRel":[],"setSelectFuncDistPrinc":[],"setSelectTiposInvenDistPrinc":[],"setTiposInvenDistPrinc":["Producción","Tráfico","Piso"]},{"blnBlocDistRel":false,"blnDefaultColaboraGrupo":true,"blnModDistRel":false,"blnMuestra":false,"blnTieneReglas":true,"NombreDist":"Toyota Serdán","NumeroDist":"57206","setDistRel":[],"setDistrRel":[],"setFuncDistPrinc":["Ejecutivo","Gestor","Asesor"],"setSelectDistrRel":[],"setSelectFuncDistPrinc":[],"setSelectTiposInvenDistPrinc":[],"setTiposInvenDistPrinc":["Producción","Tráfico","Piso"]},{"blnBlocDistRel":false,"blnDefaultColaboraGrupo":true,"blnModDistRel":false,"blnMuestra":false,"blnTieneReglas":true,"NombreDist":"Toyota Tabasco","NumeroDist":"57023","setDistRel":[],"setDistrRel":[],"setFuncDistPrinc":["Ejecutivo","Gestor","Asesor"],"setSelectDistrRel":[],"setSelectFuncDistPrinc":[],"setSelectTiposInvenDistPrinc":[],"setTiposInvenDistPrinc":["Producción","Tráfico","Piso"]},{"blnBlocDistRel":false,"blnDefaultColaboraGrupo":true,"blnModDistRel":false,"blnMuestra":false,"blnTieneReglas":true,"NombreDist":"Toyota Tampico","NumeroDist":"57027","setDistRel":[],"setDistrRel":[],"setFuncDistPrinc":["Ejecutivo","Gestor","Asesor"],"setSelectDistrRel":[],"setSelectFuncDistPrinc":[],"setSelectTiposInvenDistPrinc":[],"setTiposInvenDistPrinc":["Producción","Tráfico","Piso"]},{"blnBlocDistRel":false,"blnDefaultColaboraGrupo":true,"blnModDistRel":false,"blnMuestra":false,"blnTieneReglas":true,"NombreDist":"Toyota Tehuacán","NumeroDist":"57308","setDistRel":[],"setDistrRel":[],"setFuncDistPrinc":["Ejecutivo","Gestor","Asesor"],"setSelectDistrRel":[],"setSelectFuncDistPrinc":[],"setSelectTiposInvenDistPrinc":[],"setTiposInvenDistPrinc":["Producción","Tráfico","Piso"]},{"blnBlocDistRel":false,"blnDefaultColaboraGrupo":true,"blnModDistRel":false,"blnMuestra":false,"blnTieneReglas":true,"NombreDist":"Toyota Tijuana","NumeroDist":"57033","setDistRel":[],"setDistrRel":[],"setFuncDistPrinc":["Ejecutivo","Gestor","Asesor"],"setSelectDistrRel":[],"setSelectFuncDistPrinc":[],"setSelectTiposInvenDistPrinc":[],"setTiposInvenDistPrinc":["Producción","Tráfico","Piso"]},{"blnBlocDistRel":false,"blnDefaultColaboraGrupo":true,"blnModDistRel":false,"blnMuestra":false,"blnTieneReglas":true,"NombreDist":"Toyota Toluca","NumeroDist":"57012","setDistRel":[],"setDistrRel":[],"setFuncDistPrinc":["Ejecutivo","Gestor","Asesor"],"setSelectDistrRel":[],"setSelectFuncDistPrinc":[],"setSelectTiposInvenDistPrinc":[],"setTiposInvenDistPrinc":["Producción","Tráfico","Piso"]},{"blnBlocDistRel":false,"blnDefaultColaboraGrupo":true,"blnModDistRel":false,"blnMuestra":false,"blnTieneReglas":true,"NombreDist":"TOYOTA TULANCINGO","NumeroDist":"57025 B","setDistRel":[],"setDistrRel":[],"setFuncDistPrinc":["Ejecutivo","Gestor","Asesor"],"setSelectDistrRel":[],"setSelectFuncDistPrinc":[],"setSelectTiposInvenDistPrinc":[],"setTiposInvenDistPrinc":["Producción","Tráfico","Piso"]},{"blnBlocDistRel":false,"blnDefaultColaboraGrupo":true,"blnModDistRel":false,"blnMuestra":false,"blnTieneReglas":true,"NombreDist":"Toyota Universidad","NumeroDist":"57004","setDistRel":[],"setDistrRel":[],"setFuncDistPrinc":["Ejecutivo","Gestor","Asesor"],"setSelectDistrRel":[],"setSelectFuncDistPrinc":[],"setSelectTiposInvenDistPrinc":[],"setTiposInvenDistPrinc":["Producción","Tráfico","Piso"]},{"blnBlocDistRel":false,"blnDefaultColaboraGrupo":true,"blnModDistRel":false,"blnMuestra":false,"blnTieneReglas":true,"NombreDist":"Toyota Vallejo","NumeroDist":"57022","setDistRel":[],"setDistrRel":[],"setFuncDistPrinc":["Ejecutivo","Gestor","Asesor"],"setSelectDistrRel":[],"setSelectFuncDistPrinc":[],"setSelectTiposInvenDistPrinc":[],"setTiposInvenDistPrinc":["Producción","Tráfico","Piso"]},{"blnBlocDistRel":false,"blnDefaultColaboraGrupo":true,"blnModDistRel":false,"blnMuestra":false,"blnTieneReglas":true,"NombreDist":"Toyota Veracruz","NumeroDist":"57018","setDistRel":[],"setDistrRel":[],"setFuncDistPrinc":["Ejecutivo","Gestor","Asesor"],"setSelectDistrRel":[],"setSelectFuncDistPrinc":[],"setSelectTiposInvenDistPrinc":[],"setTiposInvenDistPrinc":["Producción","Tráfico","Piso"]},{"blnBlocDistRel":false,"blnDefaultColaboraGrupo":true,"blnModDistRel":false,"blnMuestra":false,"blnTieneReglas":true,"NombreDist":"Toyota Victoria","NumeroDist":"57611","setDistRel":[],"setDistrRel":[],"setFuncDistPrinc":["Ejecutivo","Gestor","Asesor"],"setSelectDistrRel":[],"setSelectFuncDistPrinc":[],"setSelectTiposInvenDistPrinc":[],"setTiposInvenDistPrinc":["Producción","Tráfico","Piso"]},{"blnBlocDistRel":false,"blnDefaultColaboraGrupo":true,"blnModDistRel":false,"blnMuestra":false,"blnTieneReglas":true,"NombreDist":"Toyota Xalapa","NumeroDist":"57047","setDistRel":[],"setDistrRel":[],"setFuncDistPrinc":["Ejecutivo","Gestor","Asesor"],"setSelectDistrRel":[],"setSelectFuncDistPrinc":[],"setSelectTiposInvenDistPrinc":[],"setTiposInvenDistPrinc":["Producción","Tráfico","Piso"]},{"blnBlocDistRel":false,"blnDefaultColaboraGrupo":true,"blnModDistRel":false,"blnMuestra":false,"blnTieneReglas":true,"NombreDist":"Toyota Zacatecas","NumeroDist":"57060","setDistRel":[],"setDistrRel":[],"setFuncDistPrinc":["Ejecutivo","Gestor","Asesor"],"setSelectDistrRel":[],"setSelectFuncDistPrinc":[],"setSelectTiposInvenDistPrinc":[],"setTiposInvenDistPrinc":["Producción","Tráfico","Piso"]},{"blnBlocDistRel":false,"blnDefaultColaboraGrupo":true,"blnModDistRel":false,"blnMuestra":false,"blnTieneReglas":true,"NombreDist":"57407","NumeroDist":"57407","setDistRel":[],"setDistrRel":[],"setFuncDistPrinc":["Ejecutivo","Gestor","Asesor"],"setSelectDistrRel":[],"setSelectFuncDistPrinc":[],"setSelectTiposInvenDistPrinc":[],"setTiposInvenDistPrinc":["Producción","Tráfico","Piso"]},{"blnBlocDistRel":false,"blnDefaultColaboraGrupo":true,"blnModDistRel":false,"blnMuestra":false,"blnTieneReglas":true,"NombreDist":"57408","NumeroDist":"57408","setDistRel":[],"setDistrRel":[],"setFuncDistPrinc":["Ejecutivo","Gestor","Asesor"],"setSelectDistrRel":[],"setSelectFuncDistPrinc":[],"setSelectTiposInvenDistPrinc":[],"setTiposInvenDistPrinc":["Producción","Tráfico","Piso"]}]';
            
            String objWrpMapDatosDistPrm = '{"blnBlocDistRel":false,"blnDefaultColaboraGrupo":false,"blnModDistRel":false,"blnMuestra":false,"blnTieneReglas":true,"NombreDist":"Toyota del Bajío","NumeroDist":"57010","setDistRel":[],"setDistrRel":[],"setFuncDistPrinc":[{"value":"Ejecutivo","label":"Ejecutivo"},{"value":"Gestor","label":"Gestor"},{"value":"Asesor","label":"Asesor"}],"setSelectDistrRel":[],"setSelectFuncDistPrinc":[],"setSelectTiposInvenDistPrinc":["Producción","Tráfico","Piso"],"setTiposInvenDistPrinc":[{"value":"Producción","label":"Producción"},{"value":"Tráfico","label":"Tráfico"},{"value":"Piso","label":"Piso"}]}';            
            
            List<Account> lDist = [Select Id, name, Codigo_Distribuidor__c From Account LIMIT 2];
            List<TAM_AdminInventarioDealer__c> lAdmInvDeal = [Select Id, name, TAM_CodigoDistribuidor__c,
                TAM_DistribuidorAsociado__c, TAM_Funcion__c, TAM_TipoInventario__c,
                TAM_IdExterno__c From TAM_AdminInventarioDealer__c LIMIT 2];
            
            //Manda llamar el metodo de getDistDispCons
            TAM_AdminVisibInventarioToyota.getDistDispCons(sIdRegistro);
            //Manda llamar el metodo de getDatosDistCons
            TAM_AdminVisibInventarioToyota.getDatosDistCons(sIdRegistro);
            //Manda llamar el metodo de getDistDispCons
            TAM_AdminVisibInventarioToyota.getDatosDistribInv(sIdRegistro, lDist);
            //Manda llamar el metodo de getObjDatosDistribInv
            TAM_AdminVisibInventarioToyota.getObjDatosDistribInv(sIdRegistro, sobjClientePrm);
            //Manda llamar el metodo de getDatosDistribInvSelecc
            TAM_AdminVisibInventarioToyota.getDatosDistribInvSelecc();
            //Manda llamar el metodo de getUserAdminInven
            TAM_AdminVisibInventarioToyota.getUserAdminInven(sIdRegistro);
            //Manda llamar el metodo de acCreaColaboraDealer
            TAM_AdminVisibInventarioToyota.acCreaColaboraDealer(acCreaColaboraDealer, lDealesDelFinalPrm, slWrpMapDatosDistPrm);
            //Manda llamar el metodo de acActualizarDatos
            TAM_AdminVisibInventarioToyota.acActualizarDatos(slWrpMapDatosDistPasoPrm, slDealesDelFinalPrm);

            //Una lisa del tipo wrpReglaColabora
            List<TAM_AdminVisibInventarioToyota.wrpReglaColabora> lwrpReglaColabora = new List<TAM_AdminVisibInventarioToyota.wrpReglaColabora>();
            TAM_AdminVisibInventarioToyota.wrpReglaColabora objWrpReglaColaboraPaso = new TAM_AdminVisibInventarioToyota.wrpReglaColabora();
            //Un contructor por default
            objWrpReglaColaboraPaso.NumeroDist = '570550';
            objWrpReglaColaboraPaso.NumeroDist = 'TOYOTA PRUEBA';
            objWrpReglaColaboraPaso.setSelectFuncDistPrinc = new List<String>();
            objWrpReglaColaboraPaso.setSelectTiposInvenDistPrinc = new List<String>();
            objWrpReglaColaboraPaso.lstSelectFuncDistPrinc = '';
            objWrpReglaColaboraPaso.ltsSelectTiposInvenDistPrinc = '';
            objWrpReglaColaboraPaso.blnExisteRegla = false;
            objWrpReglaColaboraPaso.intNoRegla = 0;
            //Agregalo a la lista de objWrpReglaColaboraPaso
            lwrpReglaColabora.add(objWrpReglaColaboraPaso);

            //Manda llamar el metodo de guardaReglaColabora
            TAM_AdminVisibInventarioToyota.guardaReglaColabora(lwrpReglaColabora, objWrpMapDatosDistPrm);
            //Manda llamar el metodo de guardaReglaColabora pero con una lista vacia
            TAM_AdminVisibInventarioToyota.guardaReglaColabora(new List<TAM_AdminVisibInventarioToyota.wrpReglaColabora>(), 
            objWrpMapDatosDistPrm);

            //Manda llamar el metodo de guardaReglaColabora
            TAM_AdminVisibInventarioToyota.guardaRecalculaReglasColabora(lwrpReglaColabora, objWrpMapDatosDistPrm);
            //Manda llamar el metodo de guardaReglaColabora
            TAM_AdminVisibInventarioToyota.getReglasColabora(sIdRegistro, sobjClientePrm);
            //Manda llamar el metodo de clsRestauraValoresDefault
            TAM_AdminVisibInventarioToyota.clsRestauraValoresDefault(sIdRegistro);
            
            //Manda llamar el metodo de clsRestauraValoresDefault
            TAM_AdminVisibInventarioToyota.bpDepuraColaboracionDealer(sDealersColaboraPrmFinal);


	        String sLDealerColaInv = '(';
	        //Recorre la lista de lClientes
	        for (String sTipoInv : setVodDealer){
	            sLDealerColaInv += '\'' + sTipoInv.trim() + '\',';
	        }
	        sLDealerColaInv = sLDealerColaInv.substring(0, sLDealerColaInv.lastIndexOf(','));
	        sLDealerColaInv += ')';
            
            //Manda llamar el proceso de 
	        String strVinPrueba = 'JTDKDTB34M1141773';
	        String sQuery = 'Select Id, Name, Dealer_Code__c ';
	        sQuery += ' From TAM_InventarioVehiculosToyota__c ';
	        sQuery += ' where Dealer_Code__c = \'' + String.escapeSingleQuotes(acCreaColaboraDealer) + '\'';
	        sQuery += ' Order by Dealer_Code__c';
	        sQuery += ' Limit 5';
            System.debug('EN TAM_AdminVisibInventarioToyotaOk.execute sQuery: ' + sQuery);

            //Crea el objeto de  TAM_DepuraColaboraInventBch_cls      
            TAM_DepuraColaboraCustomInventBch_cls objDepuraColaboraInventBch = new TAM_DepuraColaboraCustomInventBch_cls(sQuery, acCreaColaboraDealer, lAdmInvDeal, true, true);
            //No es una prueba entonces procesa de 1 en 1
            Id batchInstanceId = Database.executeBatch(objDepuraColaboraInventBch, 1);

            /*//Crea el objeto de  TAM_CreaColaboraInventBch_cls      
            TAM_CreaColaboraInventBch_cls objCreaColaboraInventBch = new TAM_CreaColaboraInventBch_cls(sQuery, sDealersColaboraPrmFinal);
            //No es una prueba entonces procesa de 1 en 1
            Id batchInstanceId2 = Database.executeBatch(objCreaColaboraInventBch, 1);*/
                    
        Test.stopTest();
        
    }

}